Skip to content

Hi Coactive team!

This is a sample of what your docs might look like on Starport, based on your public docs.

Take a look! Ask AI, search, the MCP server, and Markdown copies all work.

Starport is a free and open-source docs framework based on Starlight and maintained by Promptless. Promptless is the AI agent that automatically updates your customer-facing docs.

Every annual Promptless plan comes with white-glove migration to Starport, where we migrate the content, tune the result with you, and you own the repository so you're never locked in.

Book a 15-minute walkthrough

Sample migration of Coactive docs to Starport, prepared by PromptlessBook 15-minute call

Get Invitation

GET https://api.coactive.ai/api/v1/auth-management/user-invitations/{invitation_id}

Get a user invitation.

Get the details of a pending user invitation.

  • Authorization header (bearer token, required) — Bearer authentication of the form Bearer <token>, where token is your auth token.
  • invitation_id (string, required) — The unique identifier of the invitation to retrieve

The details of a pending user invitation

  • invitation_id (string, required) — Unique identifier for the invitation
  • inviter (object, required) — Details about the user who sent the invitation
    • name (string, required) — Display name of the inviter
  • invitee (object, required) — Details about the user being invited
    • email (string, required) — Email address of the invitee
    • name (string, required) — Display name of the invitee
    • roles (list of object, required) — List of roles to assign to the invitee
      • role_id (string, required) — Name of the role (e.g., ‘admin’, ‘editor’, ‘viewer’)
      • resource (string, optional, nullable) — Optional resource type the role applies to (e.g., ‘dataset’)
      • resource_instance (string, optional, nullable) — Optional resource instance ID the role applies to
  • invitation_url (string, required) — URL for the user to accept the invitation
  • created_at (string, required) — Timestamp when the invitation was created
  • expires_at (string, required) — Timestamp when the invitation expires
  • roles (list of object, required) — List of roles that will be assigned upon acceptance
    • role_id (string, required) — Name of the role (e.g., ‘admin’, ‘editor’, ‘viewer’)
    • resource (string, optional, nullable) — Optional resource type the role applies to (e.g., ‘dataset’)
    • resource_instance (string, optional, nullable) — Optional resource instance ID the role applies to

Validation Error

  • detail (list of object, optional)
    • loc (list of string or integer, required)
    • msg (string, required)
    • type (string, required)

Response

{
"invitation_id": "inv_123",
"inviter": {
"name": "John Doe"
},
"invitee": {
"email": "john@example.com",
"name": "John Doe",
"roles": [
{
"role_id": "admin"
}
]
},
"invitation_url": "https://example.com/invitation/123",
"created_at": "2024-01-01T00:00:00Z",
"expires_at": "2024-01-01T00:00:00Z",
"roles": [
{
"role_id": "admin"
}
]
}

SDK Code

import requests
url = "https://api.coactive.ai/api/v1/auth-management/user-invitations/invitation_id"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())
const url = 'https://api.coactive.ai/api/v1/auth-management/user-invitations/invitation_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coactive.ai/api/v1/auth-management/user-invitations/invitation_id"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
require 'uri'
require 'net/http'
url = URI("https://api.coactive.ai/api/v1/auth-management/user-invitations/invitation_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;
HttpResponse<String> response = Unirest.get("https://api.coactive.ai/api/v1/auth-management/user-invitations/invitation_id")
.header("Authorization", "Bearer <token>")
.asString();
<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.coactive.ai/api/v1/auth-management/user-invitations/invitation_id', [
'headers' => [
'Authorization' => 'Bearer <token>',
],
]);
echo $response->getBody();
using RestSharp;
var client = new RestClient("https://api.coactive.ai/api/v1/auth-management/user-invitations/invitation_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
import Foundation
let headers = ["Authorization": "Bearer <token>"]
let request = NSMutableURLRequest(url: NSURL(string: "https://api.coactive.ai/api/v1/auth-management/user-invitations/invitation_id")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error as Any)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()